Skip to main content
GET
/
v2
/
meetings
/
{meeting_id}
/
call_recordings
/
{call_recording_id}
/
transcript
Get call transcript
curl --request GET \
  --url https://api.attio.com/v2/meetings/{meeting_id}/call_recordings/{call_recording_id}/transcript \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": {
      "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
      "meeting_id": "cb59ab17-ad15-460c-a126-0715617c0853",
      "call_recording_id": "e8f2a3b7-9b4d-4c5e-8a1f-3d7b2c5e8f9a"
    },
    "transcript": [
      {
        "speech": "Hello,",
        "start_time": 0.51,
        "end_time": 0.81,
        "speaker": {
          "name": "Alex Bell"
        }
      },
      {
        "speech": "Mr Watson,",
        "start_time": 0.81,
        "end_time": 1.41,
        "speaker": {
          "name": "Alex Bell"
        }
      },
      {
        "speech": "come",
        "start_time": 1.41,
        "end_time": 1.71,
        "speaker": {
          "name": "Alex Bell"
        }
      },
      {
        "speech": "here.",
        "start_time": 1.71,
        "end_time": 2.11,
        "speaker": {
          "name": "Alex Bell"
        }
      },
      {
        "speech": "I",
        "start_time": 2.11,
        "end_time": 2.31,
        "speaker": {
          "name": "Alex Bell"
        }
      },
      {
        "speech": "want",
        "start_time": 2.31,
        "end_time": 2.71,
        "speaker": {
          "name": "Alex Bell"
        }
      },
      {
        "speech": "to",
        "start_time": 2.71,
        "end_time": 2.91,
        "speaker": {
          "name": "Alex Bell"
        }
      },
      {
        "speech": "see",
        "start_time": 2.91,
        "end_time": 3.21,
        "speaker": {
          "name": "Alex Bell"
        }
      },
      {
        "speech": "you.",
        "start_time": 3.21,
        "end_time": 3.61,
        "speaker": {
          "name": "Alex Bell"
        }
      },
      {
        "speech": "I'm",
        "start_time": 4.21,
        "end_time": 4.51,
        "speaker": {
          "name": "Tom Watson"
        }
      },
      {
        "speech": "here.",
        "start_time": 4.51,
        "end_time": 4.91,
        "speaker": {
          "name": "Tom Watson"
        }
      }
    ],
    "raw_transcript": "[00:00] Alex Bell: Mr Watson, come here. I want to see you.\n[00:05] Tom Watson: I'm here.",
    "web_url": "https://app.attio.com/salarya/calls/cb59ab17-ad15-460c-a126-0715617c0853/e8f2a3b7-9b4d-4c5e-8a1f-3d7b2c5e8f9a/transcript"
  },
  "pagination": {
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.attio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Path Parameters

meeting_id
string<uuid>
required

The ID of the meeting.

Example:

"cb59ab17-ad15-460c-a126-0715617c0853"

call_recording_id
string<uuid>
required

The ID of the call recording to get the transcript for.

Example:

"e8f2a3b7-9b4d-4c5e-8a1f-3d7b2c5e8f9a"

Query Parameters

cursor
string

A cursor for pagination through transcript segments. Use the next_cursor from the previous response to get the next page of speech segments within this transcript.

Example:

"eyJkZXNjcmlwdGlvbiI6ICJ0aGlzIGlzIGEgY3Vyc29yIn0=.eM56CGbqZ6G1NHiJchTIkH4vKDr"

Response

200 - application/json

Success

Success

data
object
required
pagination
object
required